[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# CFirstUserType

First allocated user type

## Declaration

Source position: variants.pp line 273

`const CFirstUserType = CMinVarType + CIncVarType;`

## Description

CFirstUserType is the first allocated value for vType when registering a variant type by the RTL, when instantiating a TCustomVariantType to register a variant type. It is better not to specify a custom variant type value, but let the system allocate a custom variant type.

## See also

TCustomVariantType.Create |  | Instantiate a new custom variant type
TCustomVariantType |  | Base class for a custom variant type
CFirstUserType |  | First allocated user type